> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/3.-requete-obtenir-les-satelliteimages.md).

# 3. Requête : obtenir les « SatelliteImages »

Obtenir "SatelliteImages" avec un seuil de couverture nuageuse défini pour le "Field".

Conseils :&#x20;

* Lire toutes les "Farms" accessibles pour le "User" - supprimer *(*`farmUuids : ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Travail similaire avec les "Fields", "SatelliteImages", "VectorAnalysisMap".
* Autorisé `geoMapType` filtrer avec les valeurs acceptables : `TOUS`, `ORIGINE`, `RECADRÉ`, `BRUT`, `TRAITÉ`, `VIGNETTE`, `CONTRASTE`
* Filtres autorisés liés aux dates : `avant` et `après` qui appartiennent à [format AWSDate.](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) Il est possible d'utiliser un seul des filtres. Plus de détails sont [ICI](/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/37.-requete-obtenir-les-satelliteimages-dans-lintervalle-defini.md).
* Autorisé `provider` filtrer avec les valeurs acceptables : `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Autorisé `seuil` le filtre met en évidence la couverture nuageuse : "1" signifie sans nuages, "0" - entièrement nuageux.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nom
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nom
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terreSansNuages
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMoyen
        
        statistiques {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recommandéPourAnalysePluriannuelle 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nom
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terreSansNuages
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMoyen
        
        statistiques {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recommandéPourAnalysePluriannuelle
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/3.-requete-obtenir-les-satelliteimages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
